Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler
Interface BpelCompiler

All Known Implementing Classes:
  BpelCompiler11, BpelCompiler11, BpelCompiler20, BpelCompiler20, BpelCompiler20Draft, BpelCompiler20Draft

    public interface BpelCompiler

Nested Class Summary
`static class` | `BpelCompiler.Version`

Method Summary
`void` | `addWsdlImport(java.net.URI from, java.net.URI wsdlImport, SourceLocation sloc)`
`ProcessModel` | `compile(Process p, ResourceFinder rf)`
`java.net.URI` | `getBaseResourceURI()` Retrieves the base URI that the BPEL Process execution context is running relative to.
`void` | `setCompileListener(CompileListener cl)`
`void` | `setCustomProperties(java.util.Map<javax.xml.namespace.QName,org.w3c.dom.Node> props)`
`void` | `setExtensionValidators(java.util.Map<javax.xml.namespace.QName,ExtensionValidator> validators)`
`void` | `setResourceFinder(ResourceFinder rf)`

Method Detail

### setResourceFinder

    void setResourceFinder(ResourceFinder rf)

### setCompileListener

    void setCompileListener(CompileListener cl)

### setCustomProperties

    void setCustomProperties(java.util.Map<javax.xml.namespace.QName,org.w3c.dom.Node> props)

### setExtensionValidators

    void setExtensionValidators(java.util.Map<javax.xml.namespace.QName,ExtensionValidator> validators)

### addWsdlImport

    void addWsdlImport(java.net.URI from,
                       java.net.URI wsdlImport,
                       SourceLocation sloc)

### compile

    ProcessModel compile(Process p,
                         ResourceFinder rf)

### getBaseResourceURI

    java.net.URI getBaseResourceURI()

  Retrieves the base URI that the BPEL Process execution context is running relative to.

  Returns:
    URI - the URI representing the absolute physical file path location that this process is defined within.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD